%define real_name pysqlite

Summary: Python bindings for sqlite.
Name: python-sqlite
Version: 1.1.6
Release: 1
License: GPL
Group: Development/Libraries
URL: http://pysqlite.sf.net/
Source: http://dl.sf.net/pysqlite/pysqlite-%{version}.tar.gz
Obsoletes: python-sqlite3
BuildRequires: python-devel, sqlite-devel 
BuildRoot: %{_tmppath}/%{name}-root

%description
This packages allows you to use sqlite with python.
sqlite is a simple database engine.

%prep
%setup -q -n pysqlite
rm -f doc/rest/.*swp

%build

%install
rm -rf ${RPM_BUILD_ROOT}
python ./setup.py install --prefix="${RPM_BUILD_ROOT}/%{_prefix}"

%check
cd test
python all_tests.py || :

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root, 0755)
%doc LICENSE README doc/ examples/
%{_libdir}/python*/site-packages/*

%changelog
* Wed Mar  9 2005 Jeff Johnson <jbj@redhat.com> 1.1.6-1
- rename to "sqlite" from "sqlite3" (#149719).

* Sat Feb  5 2005 Jeff Johnson <jbj@jbj.org> 1.1.6-1
- repackage for fc4.
- upgrade to 1.1.6.

* Sat May 01 2004 Dag Wieers <dag@wieers.com> - 0.5.0-1
- Initial package. (using DAR)
